Package Details: firefox-moonlight 3.99.0.3-11

Git Clone URL: https://aur.archlinux.org/firefox-moonlight.git (read-only)
Package Base: firefox-moonlight
Description: Alternative Silverlight plugin for Firefox using Mono
Upstream URL: http://www.go-mono.com/moonlight/download.aspx
Licenses: LGPL
Submitter: allencch
Maintainer: None
Last Packager: allencch
Votes: 160
Popularity: 0.414799
First Submitted: 2011-10-05 01:28
Last Updated: 2015-06-09 08:26

Latest Comments

youngunix commented on 2015-12-29 23:31

It seems that this project has been abandoned for a couple of years now, but here is the source on GitHub {https://github.com/mono/moon}.

allencch commented on 2015-10-29 13:43

I disown the package, since I cannot get the latest update anymore for this package.

crank123 commented on 2014-09-06 23:18

Can some compile the version found here http://sourceforge.net/projects/acsmoonlight/files/5.1/Moonlight%20Pre-Alpha%201.zip/download and comment a download link to the xpi you get?

crank123 commented on 2014-09-06 22:15

Hey, can someone compile the version at http://sourceforge.net/projects/acsmoonlight/files/5.1/Moonlight%20Pre-Alpha%201.zip/download and send the xpi file back to me. Thanks.

kgunders commented on 2014-03-04 04:10

Appears this is now out of date as when visiting sites requiring silverlight I'm prompted to update.

allencch commented on 2013-10-26 14:23

@travnick, thanks for your suggestion. Now solved.

travnick commented on 2013-10-26 09:09

But if thhe sums are the same then the files are 99% the same (unfortunatelly only md5 sums are provided, not sha, as mentioned here: https://wiki.archlinux.org/index.php/PKGBUILD#md5sums)

allencch commented on 2013-10-24 23:52

@knedlyk, please use the links provided by the other comments. I hesitated to change them in the PKGBUILD because the files are not hosted from the official site but Google Drive.

knedlyk commented on 2013-10-24 21:37

Cannot download even in browser, every time getting 403 error. Please use alternative source.

mango commented on 2013-10-24 18:18

for i586
https://docs.google.com/file/d/0B0xVGvAbM6ZkanVKSm9adWlraVk/edit?pli=1
for x86_64
https://docs.google.com/file/d/0B0xVGvAbM6ZkcTN3b1R1NVI1SVE/edit?usp=sharing&pli=1

mango commented on 2013-10-24 18:16

for x86_64
https://docs.google.com/file/d/0B0xVGvAbM6ZkcTN3b1R1NVI1SVE/edit?usp=sharing&pli=1

allencch commented on 2013-10-24 05:11

@Kamek, if you mean that cannot download the xpi, you need to manually download it from the URL mentioned in the comments. Then put the xpi file with the same directory as PKGBUILD. Then it should work.

Kamek commented on 2013-10-24 01:54

Does'nt install now, the path to the xpi is wrong I think. Just fyi.

allencch commented on 2013-10-24 00:44

Thanks to test0, I made the changes about the path. However, for the location of the xpi files, I do not change them. Since they were not hosted from the official site.

test0 commented on 2013-10-23 18:31

Also change the Firefox extensions path from /usr/lib/firefox/extensions to /usr/lib/firefox/browser/extensions (in my case with 32-bit 24.0 Firefox it was so) in "local dstdir" assignment. Otherwise it is not appearing in plugins list (and not working, too).

test0 commented on 2013-10-23 18:31

Also change the Firefox extensions path from /usr/lib/firefox/extensions to /usr/lib/firefox/browser/extensions (in my case with 32-bit 24.0 Firefox it was so) in "local dstdir" assignment. Otherwise it is not appearing in plugins list.

test0 commented on 2013-10-23 18:30

Also change the Firefox extensions path from /usr/lib/firefox/extensions to /usr/lib/firefox/browser/extensions (in my case with 32-bit 24.0 Firefox it was so) in "local dstdir" assignment.

test0 commented on 2013-10-23 18:05

Another mirror for novell-moonlight-3.99.0.3-i586.xpi: https://docs.google.com/file/d/0B0xVGvAbM6ZkanVKSm9adWlraVk/

grufo commented on 2013-08-29 19:53

mirror:

https://doc-0k-8g-docs.googleusercontent.com/docs/securesc/ha0ro937gcuc7l7deffksulhg5h7mbp1/j8uv0tcrg1udppejold33ftmshhojk09/1377799200000/03202699430184836328/*/0B0xVGvAbM6ZkcTN3b1R1NVI1SVE?h=16653014193614665626&e=download

dif commented on 2013-08-21 16:37

http://mokeke.sytes.net/downloads/linux/Novell_Moonlight/novell-moonlight-3.99.0.3-x86_64.xpi does not seem to beb working.
I have found working links to moonlight on askubuntu's forum http://askubuntu.com/questions/296861/moonlight-mono-for-raring-13-04
The md5 sums match these in your PKGBUILD:
[code]
md5sum novell-moonlight-3.99.0.3-*
1fd14feb0734a74711a7b097e4158611 novell-moonlight-3.99.0.3-i586.crx
2f286c4b6988683df8e51dc3c9f7a180 novell-moonlight-3.99.0.3-i586.xpi
0f1087a6e05f859595476b2f2b5167cf novell-moonlight-3.99.0.3-x86_64.crx
0653dfbbd488bcebccf0a906f08465c1 novell-moonlight-3.99.0.3-x86_64.xpi
[/code]

sysfu commented on 2013-07-14 00:11

As a workaround, grab a copy of the xpi from http://mokeke.sytes.net/downloads/linux/Novell_Moonlight/novell-moonlight-3.99.0.3-x86_64.xpi and put it in your build directory.

pogliamarci commented on 2013-07-01 21:30

You don't have permission to access /moonlight/downloads/3.99.0.3/novell-moonlight-3.99.0.3-x86_64.xpi on this server.

Det commented on 2013-03-12 10:45

My mistake. Just a temporary downtime.

Det commented on 2013-03-11 12:47

Dead link. http://www.go-mono.com is down.

allencch commented on 2012-07-18 23:50

ryon.sherman, please re-install then enable it.

devrs0 commented on 2012-07-18 16:55

It looks like 3.99.0.3 is no longer working in Firefox 14.

allencch commented on 2012-06-29 00:17

wleoncio, there is no release of new version from the developer. But if you like, you can try with git.

Anonymous comment on 2012-06-28 23:39

Good work! Too bad the one website I need this for doesn't work with moonlight. :-/ Any plans on releasing a new version?

giniu commented on 2012-06-06 11:40

I reinstalled with ff13 and it still tells me that moonlight isn't compatible.
Probably because _ffver is set to 13.0-1 instead of 13.0? Maybe do

`pacman -Q firefox | cut -f2 -d\ | cut -f1 -d- | cut -f1-2 -d.`

instead? It should work I think for both 2 and 3 digit version numbers.

Anonymous comment on 2012-03-20 09:54

Sorry, didn't know, my bad. Thanks! :-)

allencch commented on 2012-03-20 02:31

tvale, just re-install this package will solve the problem.

Anonymous comment on 2012-03-19 21:11

Does not work with latest Firefox (version 11.0).

snack commented on 2011-12-24 20:26

Version 3.99.0.3-7 does not work for me with Firefox 9.0.1.

allencch commented on 2011-12-22 13:42

whaler, I don't have the problem for Firefox 9.0

whaler commented on 2011-12-21 23:29

Well, yet another moonlight version (3.99.0.3-6) that does not work. This time Firefox 9.0 reports it is incompatible. I have not had a working Moonlight under Linux for years (winter lympics in Canada). Perhaps time to just give up the project? :((

Malaheenee commented on 2011-10-15 02:48

allencch, OK. Sorry, I didn't look PKGBUILD.

allencch commented on 2011-10-14 14:34

Malaheenee, my link is not wrong. Please check the PKGBUILD, it detects for the architecture, then download based on the architecture.

Malaheenee commented on 2011-10-14 02:29

Wrong link for download sources. It must be http://www.go-mono.com/moonlight/downloads/3.99.0.3/novell-moonlight-3.99.0.3-i586.xpi

Malaheenee commented on 2011-10-14 02:29

Wrong link for download sources: http://www.go-mono.com/moonlight/downloads/3.99.0.3/novell-moonlight-3.99.0.3-i586.xpi

allencch commented on 2011-10-07 11:31

giniu, thanks for your suggestion. I was also looking for the solution for single package, different architecture. Now, I make the changes

giniu commented on 2011-10-07 07:35

yes, it works - but I'd rather recommend using single package - like for example with flashplugin ( check in git for example: http://projects.archlinux.org/svntogit/packages.git/tree/trunk/PKGBUILD?h=packages/flashplugin ) - that way it's easier to maintain multiple packages.

allencch commented on 2011-10-07 02:03

giniu, I have submit moonlight 64 bit. You can try it. I cannot try it because my computer is not 64-bit.

giniu commented on 2011-10-06 10:48

Hi, I installed mono-addins and mono-zeroconf just in case. Still no change: http://tinypic.com/r/2a4v4sl/7 (btw, I'm on 64 bits, aren't there 2 different versions for 32 and 64 bits?)

allencch commented on 2011-10-06 01:45

giniu, for your information, I also have mono-addins and mono-zeroconf, but there is no mono-basic for my other computer. That means mono-basic is not the requirement for moonlight.

giniu commented on 2011-10-05 17:08

it's not that, I have both mono and mono-basic:

[giniu@raven3 ~]$ pacman -Qs mono
local/mono 2.10.5-1
Free implementation of the .NET platform including runtime and compiler
local/mono-basic 2.10-1
Mono Visual Basic.NET compiler

allencch commented on 2011-10-05 15:46

giniu, I am not sure about the dependencies, might be it also depends on mono and mono-basic. If it is true, I will add them to the dependency.

allencch commented on 2011-10-05 15:38

giniu, I am not sure about the dependencies, might be it also depends on Mono. If it is true, I will add Mono to the dependency.

giniu commented on 2011-10-05 12:20

I tried your package, but for some reason the plugin shows up as turned off and grayed out on extensions list, without button to enable it. Any idea what to do with it?